import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.util.List;


public class Hoop  extends BouncerActor
{
    private Color color;
    private int down = 0;
    private int prevDif = 0;

    public Hoop(Color c,int ang){
        color = c;
        setRotation(ang);
    }
    
    public Hoop(int ang){
        color = Color.blue;
        setRotation(ang);
    }
    
    protected void addedToWorld(World world){
        setSelectable(false);
        super.addedToWorld(world);
        recolor(color);
        getMask().clear();
    }
    
    
    
    
    public void act() 
    {
        super.act();
        down--;
        
        if(getOneIntersectingObject(drop.class)!=null){
            down = 20;
        }
        
        setActivity(true);
        if(down>0){
            setActivity(false);
            List doors = getWorld().getObjects(Door.class);
            for(int i=0;i<doors.size();i++){
                Door d = (Door)doors.get(i);
                if(d.getColor().equals(color)){
                    d.open();
                }
            }
        }

    }    
}
