import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.LinkedList;


public class cone extends BouncerActor
{
    private LinkedList drops = new LinkedList();
    private drop b;

    public void act() 
    {
        super.act();
        if(!isActive()){
            drops = new LinkedList();
        }
        for(int i=0;i<drops.size();i++){
            b = ((drop)drops.get(i));
            b.setCounter(b.getCounter()-1);
            if(b.getCounter() == 0){
                getWorld().addObject(b,getX(),getY()+15);
                drops.remove(b);
            }
        }
        setRotation(0);
    }
    
    public boolean special(drop bx){
        getWorld().removeObject(bx);
        drops.addLast(bx);
        bx.setCounter(20);
        //double mag = Math.sqrt(bx.a*bx.a + bx.b*bx.b);
        bx.setVelocity(0,0);
        return false;
    }
    
    public boolean isCollision(){
        if(getX()<8 || getX()>491){
            return super.isCollision();
        }
        return super.isCollision() || !((worldness)getWorld()).ok(getX()+8,getY()) || !((worldness)getWorld()).ok(getX()-8,getY()) || !((worldness)getWorld()).ok(getX(),getY());
    }
    
    public void freeze(){
        drops.clear();
    }
}