import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class miniMenu here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class miniMenu  extends Actor
{
    //CHILD DATA
    private Display levelC,scoreC,bonusC;
    private Button backB = new Button(3);
    boolean bonusing = true;
    
    //FADE DATA
    private int alpha = 5;
    private boolean fading = true;
    
    
    public miniMenu(){
        levelC = new Display(1,2);
        scoreC = new Display(0,7);
        bonusC = new Display(0,7);
    }
    
    public miniMenu(int l,int s,int b){
        levelC = new Display(1,2);
        scoreC = new Display(0,7);
        bonusC = new Display(0,7);
    }
    
    protected void addedToWorld(World world){
        world.addObject(levelC,159,37);
        world.addObject(scoreC,271,37);
        world.addObject(bonusC,428,37);
        world.addObject(backB,71,25);
        fade();
    }
     
    public void act() 
    {
        if(fading){
            fade();
        }
        if(bonusC.getNum()>0 && bonusing){
            bonusC.setNum(bonusC.getNum()-25);
        }   
    }   
    
    public void setLevel(int l){
        levelC.setNum(l);
    }
    
    public void setScore(int s){
        scoreC.setDesiredNumber(s);
    }
    
    public void setBonus(int b){
        bonusC.setNum(b);
    }
    
    public int getScore(){
        return scoreC.getNum();
    }
    
    public int getBonus(){
        return bonusC.getNum();
    }
    
    public void fade(){
        getImage().setTransparency(alpha);
        levelC.getImage().setTransparency(alpha);
        scoreC.getImage().setTransparency(alpha);
        bonusC.getImage().setTransparency(alpha);
        alpha+=10;
        if(alpha==255){
            fading = false;
        }
    }
    
    public void clearAlpha(){
        fading = true;
        alpha = 5;
        backB.reset();
        scoreC.setNum(0);
        fade();
    }
    
    public void setBonusing(boolean b){
        bonusing = b;
    }
}
