import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.LinkedList;


public class cannon  extends BouncerActor
{
    private LinkedList drops = new LinkedList();
    private drop bl;



    public void act() 
    {
        super.act();
        if(!isActive()){
            drops = new LinkedList();
        }
        for(int i=0;i<drops.size();i++){
            bl = ((drop)drops.get(i));
            bl.setCounter(bl.getCounter()-1);
            if(bl.getCounter() == 0){
                bl.setVelocity(8*Math.sin(Math.PI*getRealRotation()/180.0) , -8*Math.cos(Math.PI*getRealRotation()/180.0));
                getWorld().addObject(bl,(int)(getX()+32*Math.sin(Math.PI*getRealRotation()/180.0)),(int)(getY()-32*Math.cos(Math.PI*getRealRotation()/180.0)));
                drops.remove(bl);
            }
        }
    }
    
    public boolean special(drop bx){
        getWorld().removeObject(bx);
        drops.addLast(bx);
        bx.setCounter(10);
        return false;
        //double mag = Math.sqrt(bx.a*bx.a + bx.b*bx.b);  
    }
    
    public boolean isCollision(){
        boolean temp = super.isCollision();
        int xtemp,ytemp;
        for(int i=-5;i<36;i+=1){
            xtemp = (int)(getX()+i*Math.sin(Math.PI*getRotation()/180));
            ytemp = (int)(getY()-i*Math.cos(Math.PI*getRotation()/180));
            if(xtemp>=0 && xtemp<=499 && ytemp>=0 && ytemp<=499){
                temp = temp || !((worldness)getWorld()).ok(xtemp,ytemp);
            }
        }
        return temp;
    }
    
    public void freeze(){
        drops.clear();
    }
}
